<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity()
 * @ORM\Table(name="dedi_blog_author_avatar")
 */
class AuthorAvatar extends AbstractImage
{
    const TYPE = 'dedi_blog_author_avatar';

    /**
     * @ORM\OneToOne(targetEntity="Dedi\SyliusBlogPlugin\Entity\Author", inversedBy="avatar")
     * @ORM\JoinColumn(name="owner_id", referencedColumnName="id")
     */
    protected ?object $owner = null;
}
